
QGIS Application - Bug report #2995

segfault using Style Manager

2010-09-12 05:30 PM - Giuseppe Sucameli

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13055

Description

First I choose Edit -> Style Manager...

If I press the "+" button the terminal displays the following messages:

Warning: QColor::setNamedColor: Unknown color name 'character_n'
Then the "Simbol properties" dialog was displayed only after 5-6 secs (sometimes the GUI freezes).

In the Simbol properties dialog I get a segfault or core-dumped in a lot of cases (sometimes some of these work fine):

1. removing the marker by click on "-" button and then changing the symbol

2. removing the marker and adding a new one, then changing the symbol

3. adding a new marker, then removing it and changing the symbol

The problem seems to be that there are no markers selected when I select the new symbol.

History

#1 - 2010-10-30 03:05 AM - Martin Dobias

Can you please test again? I think the problems have been fixed some time ago.

#2 - 2010-11-04 02:42 AM - Giuseppe Sucameli

Using commit:ada0e13f (SVN r14490):

1. No more GUI freeze, the "Symbol Properties" dialog is displayed next I click on the button.
2. More stable, very few segfaulfs. I get it only adding (+) a new marker, removing (-) a marker (no markers become selected) then changing the symbol.

#3 - 2010-11-12 03:26 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Last problem fixed in commit:06305bc4 (SVN r14554).
